/* COMMON STYLES */
*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  font-family: "Open Sans", sans-serif;
  line-height: 1.43;
  margin: 0;
  padding: 0;
  color: rgba(0, 0, 0, 0.84);
  background-color: hsl(225deg, 5%, 95%);
}

a {
  color: #3551a5;
}
a:active {
  color: #d32f2f;
}

/* UTILITIES */
.nobullets {
  list-style: none;
  margin: 0;
  padding: 0;
}

.nomargins {
  margin: 0;
  padding: 0;
}

.dropfont {
  font-size: 1rem;
}

.stepoff-top {
  margin-top: 1rem;
}

.full-width {
  width: 100%;
}

.small-90 {
  font-size: 0.9rem;
}

/* PAGE  */
.page-title,
.main-form > h1,
.ul-page-title {
  font-weight: normal;
  margin: 0;
  margin-bottom: 1rem;
}

/* FORM */
.form-fieldset {
  background: hsla(0deg, 0%, 0%, 0.06);
  border: 0;
  margin: 0;
  padding: 0.5rem 1rem;
}
.form-fieldset > legend {
  color: hsla(0deg, 0%, 0%, 0.5);
  float: left;
  width: 100%;
  font-style: italic;
  margin-bottom: 0.5rem;
}

.form-input {
  width: 100%;
  padding: 0.5rem;
}

.form-button {
  padding: 0.25rem 0.5rem;
  font-size: 0.9rem;
}

.form-group {
  margin-bottom: 0.8rem;
}
.form-group-required label::after {
  content: " *";
  color: #c00;
}
.form-group label {
  margin-bottom: 0.25rem;
  display: block;
}
.form-group select,
.form-group input[type=text],
.form-group input[type=password] {
  width: 100%;
  padding: 0.5rem;
}
.form-group textarea {
  width: 100%;
  padding: 0.5rem;
  resize: vertical;
}
.form-group button {
  padding: 0.25rem 0.5rem;
  font-size: 0.9rem;
}

/* SITE */
.site-content {
  max-width: 48rem;
  margin: 0 auto;
  text-align: center;
}

.site-content--footer {
  padding: 0rem;
  font-size: 0.9rem;
  margin-bottom: 1rem;
}

.main-header-menu-guest {
  margin-left: auto;
  display: flex;
}
.main-header-menu-guest li + li {
  margin-left: 1em;
}

.main-body {
  --horizontal-gap: 0.5rem;
  --vertical-gap: 0.75rem;
  max-width: 48rem;
  display: flex;
  margin: 0 auto;
  gap: var(--vertical-gap);
  padding: var(--horizontal-gap) 0;
}
.main-body .main-body-content {
  width: 32rem;
  background-color: #fff;
  padding: var(--horizontal-gap) var(--vertical-gap);
}

.main-header-container {
  background-color: #fff;
  border-bottom: 1px solid hsla(0deg, 0%, 0%, 0.1);
}

.main-header {
  display: flex;
  max-width: 48rem;
  margin: 0 auto;
  padding: 1rem 0;
  background: white;
  color: black;
}
.main-header a {
  color: black;
  text-decoration: none;
}
.main-header a:hover {
  color: hsla(0deg, 0%, 0%, 0.75);
}
.main-header .main-header-menu {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  margin-left: auto;
  font-size: 0.9rem;
}
.main-header .main-header-menu button {
  padding: 0.4em 0.5em;
  font-size: 0.8rem;
  cursor: pointer;
  background: transparent;
  color: black;
  border: 1px solid #ccc;
}
.main-header .main-header-menu button:hover, .main-header .main-header-menu button:active {
  border-color: #999;
}
.main-header .main-header-menu .main-header-menu-counted[data-count]:not([data-count=""]):not([data-count="0"])::after {
  content: attr(data-count);
  padding: 0 0.5em;
  border-radius: 0.25rem;
  margin-left: 0.25rem;
  font-size: 0.8rem;
  background-color: hsla(0deg, 0%, 0%, 0.12);
}
.main-header .main-header-menu-item--leftside {
  border-right: 1px solid #ccc;
  padding-right: 0.75rem;
}
.main-header .main-header-menu-item--username {
  font-weight: bold;
}

.manage-tabs {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0.5rem;
  gap: 1rem;
  justify-content: flex-end;
  border-bottom: 1px solid #ccc;
  margin-bottom: 1rem;
}
.manage-tabs a {
  font-size: 0.8rem;
}

.ui-page-tabs {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-wrap: wrap;
}
.ui-page-tabs a {
  display: block;
  padding: 0.8rem 1rem;
}
.ui-page-tabs a.selected {
  background-color: #e5e5e5;
}

.table-bordered {
  border-collapse: collapse;
}
.table-bordered > tbody > tr > td,
.table-bordered > thead > tr > td,
.table-bordered > tfoot > tr > td {
  border: 1px solid #ccc;
  padding: 0.5rem 0.8rem;
}

.table-separated {
  border-collapse: collapse;
}
.table-separated > tbody > tr:first-child > td,
.table-separated > thead > tr:first-child > td,
.table-separated > tfoot > tr:first-child > td {
  border-top: 0;
}
.table-separated > tbody > tr > td,
.table-separated > thead > tr > td,
.table-separated > tfoot > tr > td {
  border-top: 1px solid #ccc;
  padding: 0.5rem 0.8rem;
}

.tabled-list {
  border-collapse: collapse;
  border: 1px solid #ccc;
}
.tabled-list > :is(thead, tbody, tfoot) > tr:not(:last-child) {
  border-bottom: 1px solid #ccc;
}
.tabled-list > :is(thead, tbody, tfoot) > tr > td {
  padding: 0.5rem;
}

.panel {
  padding: 1rem;
  background: hsla(0deg, 0%, 0%, 0.06);
  font: 1rem monospace;
}

/* TEXT-MARKUP */
.ui-message-container {
  padding: 1rem;
  border: 1px solid hsl(0deg, 0%, 85%);
  background-color: hsl(0deg, 0%, 95%);
}
.ui-message-container--error {
  border-color: hsl(8deg, 60%, 85%);
  background-color: hsl(8deg, 60%, 95%);
}

.ui-card {
  border: 1px solid hsla(0deg, 0%, 0%, 0.08);
}
.ui-card-header {
  padding: 0.8rem;
  background-color: hsla(0deg, 0%, 0%, 0.04);
}
.ui-card-body {
  padding: 0.8rem;
}

.ui-action-link {
  text-decoration: none;
  font-size: 0.9rem;
  color: inherit;
  padding: 0.25rem 0.5rem;
  border: 1px solid hsla(0deg, 0%, 0%, 0.2);
}
.ui-action-link:hover {
  border-color: hsla(0deg, 0%, 0%, 0.4);
}

.ui-form-header {
  margin: 0;
  margin-bottom: 1rem;
  padding: 0.8rem;
  text-align: center;
  background: hsla(0deg, 0%, 0%, 0.05);
  font-size: 1rem;
  font-weight: bold;
}

.ui-block-success {
  padding: 0.8rem;
  background-color: #388E3C;
  color: white;
  margin-bottom: 1rem;
  text-align: center;
}
